Carrot2 an Lucene compatibility

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Carrot2 an Lucene compatibility

milos
Hello,

I have the app with Carrot2 2.x webapp and Lucene 2.2 and everything works
fine. Now I want to upgrade to Lucene 2.4. I've read somewhere that index
formats differ between 2.4 and 2.2 or 2.3. Is it possible? ( I mean just
to recompile Carrot2 2.x webapp with different lucene-core.jar). Does
Carrot 3.x webapp work with Lucene 2.4 natively?

Thanks, Milos


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
Carrot2-developers mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/carrot2-developers
Reply | Threaded
Open this post in threaded view
|

Re: Carrot2 an Lucene compatibility

Dawid Weiss-2

Hi Milos,

I don't about differences between index formats of Lucene (if they claim it's
changed then it perhaps did and you'll have to convert/ reindex everything with
new Lucene). For Carrot2 it should make no difference unless the API has changed
(which it might). Try rebuilding your index with Lucene 2.4 and simply
substituting the JARs in Carrot2. I'll schedule Lucene upgrade in JIRA anyway.

Dawid

[hidden email] wrote:

> Hello,
>
> I have the app with Carrot2 2.x webapp and Lucene 2.2 and everything works
> fine. Now I want to upgrade to Lucene 2.4. I've read somewhere that index
> formats differ between 2.4 and 2.2 or 2.3. Is it possible? ( I mean just
> to recompile Carrot2 2.x webapp with different lucene-core.jar). Does
> Carrot 3.x webapp work with Lucene 2.4 natively?
>
> Thanks, Milos
>
>
> ------------------------------------------------------------------------------
> This SF.net email is sponsored by:
> SourcForge Community
> SourceForge wants to tell your story.
> http://p.sf.net/sfu/sf-spreadtheword
> _______________________________________________
> Carrot2-developers mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/carrot2-developers

------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
Carrot2-developers mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/carrot2-developers
Reply | Threaded
Open this post in threaded view
|

Re: Carrot2 an Lucene compatibility

milos
OK.
What version of Lucene do you use in Carrot 3.0 (when input is Lucene)?
Thanks, Milos

>
> Hi Milos,
>
> I don't about differences between index formats of Lucene (if they claim
> it's
> changed then it perhaps did and you'll have to convert/ reindex everything
> with
> new Lucene). For Carrot2 it should make no difference unless the API has
> changed
> (which it might). Try rebuilding your index with Lucene 2.4 and simply
> substituting the JARs in Carrot2. I'll schedule Lucene upgrade in JIRA
> anyway.
>
> Dawid
>
> [hidden email] wrote:
>> Hello,
>>
>> I have the app with Carrot2 2.x webapp and Lucene 2.2 and everything
>> works
>> fine. Now I want to upgrade to Lucene 2.4. I've read somewhere that
>> index
>> formats differ between 2.4 and 2.2 or 2.3. Is it possible? ( I mean just
>> to recompile Carrot2 2.x webapp with different lucene-core.jar). Does
>> Carrot 3.x webapp work with Lucene 2.4 natively?
>>
>> Thanks, Milos
>>
>>
>> ------------------------------------------------------------------------------
>> This SF.net email is sponsored by:
>> SourcForge Community
>> SourceForge wants to tell your story.
>> http://p.sf.net/sfu/sf-spreadtheword
>> _______________________________________________
>> Carrot2-developers mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/carrot2-developers
>
> ------------------------------------------------------------------------------
> This SF.net email is sponsored by:
> SourcForge Community
> SourceForge wants to tell your story.
> http://p.sf.net/sfu/sf-spreadtheword
> _______________________________________________
> Carrot2-developers mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/carrot2-developers
>



------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
Carrot2-developers mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/carrot2-developers
Reply | Threaded
Open this post in threaded view
|

Re: Carrot2 an Lucene compatibility

Dawid Weiss-2

We have 2.3.2 in the trunk.

D.

[hidden email] wrote:

> OK.
> What version of Lucene do you use in Carrot 3.0 (when input is Lucene)?
> Thanks, Milos
>
>> Hi Milos,
>>
>> I don't about differences between index formats of Lucene (if they claim
>> it's
>> changed then it perhaps did and you'll have to convert/ reindex everything
>> with
>> new Lucene). For Carrot2 it should make no difference unless the API has
>> changed
>> (which it might). Try rebuilding your index with Lucene 2.4 and simply
>> substituting the JARs in Carrot2. I'll schedule Lucene upgrade in JIRA
>> anyway.
>>
>> Dawid
>>
>> [hidden email] wrote:
>>> Hello,
>>>
>>> I have the app with Carrot2 2.x webapp and Lucene 2.2 and everything
>>> works
>>> fine. Now I want to upgrade to Lucene 2.4. I've read somewhere that
>>> index
>>> formats differ between 2.4 and 2.2 or 2.3. Is it possible? ( I mean just
>>> to recompile Carrot2 2.x webapp with different lucene-core.jar). Does
>>> Carrot 3.x webapp work with Lucene 2.4 natively?
>>>
>>> Thanks, Milos
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> This SF.net email is sponsored by:
>>> SourcForge Community
>>> SourceForge wants to tell your story.
>>> http://p.sf.net/sfu/sf-spreadtheword
>>> _______________________________________________
>>> Carrot2-developers mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/carrot2-developers
>> ------------------------------------------------------------------------------
>> This SF.net email is sponsored by:
>> SourcForge Community
>> SourceForge wants to tell your story.
>> http://p.sf.net/sfu/sf-spreadtheword
>> _______________________________________________
>> Carrot2-developers mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/carrot2-developers
>>
>
>
>
> ------------------------------------------------------------------------------
> This SF.net email is sponsored by:
> SourcForge Community
> SourceForge wants to tell your story.
> http://p.sf.net/sfu/sf-spreadtheword
> _______________________________________________
> Carrot2-developers mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/carrot2-developers

------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
Carrot2-developers mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/carrot2-developers